> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment settings for Sequence account

> Retrieves payment settings for the current Sequence accounts. If no settings exist, default settings will be returned.



## OpenAPI

````yaml collections.2024-07-30.product.live GET /payments/settings
openapi: 3.0.0
info:
  title: Collections
  description: Manage Payment Collection Settings
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /payments/settings:
    servers: []
    parameters: []
    get:
      tags:
        - Account Settings
      summary: Payment settings for Sequence account
      description: >-
        Retrieves payment settings for the current Sequence accounts. If no
        settings exist, default settings will be returned.
      operationId: getPaymentsSettings
      parameters:
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountPaymentSettings'
                example:
                  id: e095e00f-36af-44c9-8c53-3e25677ce8ce
                  failureNotifications:
                    merchantNotifications: SEND_NOTIFICATIONS
                    customerNotifications: SEND_NOTIFICATIONS
              examples:
                AccountPaymentSettings:
                  summary: ''
                  value:
                    id: e095e00f-36af-44c9-8c53-3e25677ce8ce
                    failureNotifications:
                      merchantNotifications: SEND_NOTIFICATIONS
                      customerNotifications: SEND_NOTIFICATIONS
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    AccountPaymentSettings:
      required:
        - failureNotifications
        - id
      type: object
      example:
        id: e095e00f-36af-44c9-8c53-3e25677ce8ce
        failureNotifications:
          merchantNotifications: SEND_NOTIFICATIONS
          customerNotifications: SEND_NOTIFICATIONS
      properties:
        id:
          type: string
          description: The ID of the account's payment settings
          example: e095e00f-36af-44c9-8c53-3e25677ce8ce
        failureNotifications:
          $ref: '#/components/schemas/PaymentFailureNotifications'
    PaymentFailureNotifications:
      required:
        - customerNotifications
        - merchantNotifications
      type: object
      description: The failure notification settings for the account
      example:
        merchantNotifications: SEND_NOTIFICATIONS
        customerNotifications: SEND_NOTIFICATIONS
      properties:
        merchantNotifications:
          $ref: '#/components/schemas/PaymentFailureNotificationOptions'
          description: The payment failure notification settings for the merchant account
        customerNotifications:
          $ref: '#/components/schemas/PaymentFailureNotificationOptions'
          description: The payment failure notification settings for the end-customers
    PaymentFailureNotificationOptions:
      type: string
      example: SEND_NOTIFICATIONS
      enum:
        - SEND_NOTIFICATIONS
        - DO_NOT_SEND_NOTIFICATIONS

````